Skip to main content
GET
/
v1
/
partner
/
usage
Pull per-user x-feed usage (server-to-server, static service token)
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/partner/usage \
  --header 'X-Service-Token: <x-service-token>'
{
  "data": [
    {
      "by_endpoint": {},
      "calls": 123,
      "discoveries": 123,
      "sub": "<string>",
      "tweets": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Headers

X-Service-Token
string
required

Service token

Query Parameters

from_id
string

Exclusive start cursor; use '0' for the beginning

count
integer

Max stream entries to process (default 1000, max 5000)

Response

200 - application/json

OK

data
object[]
error
object
pagination
any
request_id
string
success
boolean